<h1>Product Type
  <span *ngIf="productTypeForm.get('id').value !== null">edit</span>
  <span *ngIf="productTypeForm.get('id').value === null">create</span>
</h1>
<br>
<form [formGroup]="productTypeForm">
  <div class="form-group row" *ngIf="productTypeForm.get('id').value !== null">
    <label for="staticId" class="col-sm-2 col-form-label">ID</label>
    <div class="col-sm-10">
      <input type="text" nbInput fullWidth readonly id="staticId" formControlName="id">
    </div>
  </div>
  <div class="form-group row">
    <label for="inputName" class="col-sm-2 col-form-label">Product Type Name</label>
    <div class="col-sm-10">
      <input type="text" nbInput fullWidth id="inputName" formControlName="name"
             [ngClass]="{'is-invalid':!productTypeForm.get('name').valid}"
             [status]="productTypeForm.get('name').touched && !productTypeForm.get('name').valid ? 'danger' : 'basic'">
      <div class="invalid-feedback" *ngFor="let err of productTypeForm.get('name').getError('backendErrors')">
        {{err}}
      </div>
    </div>
  </div>
  <div class="row">
    <label for="inputPicture" class="col-sm-2 col-form-label">Picture</label>
    <div class="col-sm-10">
      <input type="file" (change)="onImageUploadEvent.next($event)"
             [ngClass]="{'is-invalid':!productTypeForm.get('image').valid}"
             [multiple]="false" id="inputPicture" accept="image/*">
      <image-cropper
        [imageChangedEvent]="onImageUploadEvent | async"
        [maintainAspectRatio]="true"
        [aspectRatio]="10 / 4"
        [resizeToWidth]="320"
        format="png"
        (imageCropped)="imageCropped($event)"
      ></image-cropper>
    </div>
  </div>
  <div class="row mb-3" *ngIf="productTypeForm.get('image').value !== null">
    <label for="inputPicture" class="col-sm-2 col-form-label"></label>
    <div class="col-sm-10">
      <img style="max-width: 50%; background-color: #ffffff" [src]="productTypeForm.get('image').value"/>
    </div>
  </div>
  <div class="form-group row">
    <label for="inputOrder" class="col-sm-2 col-form-label">Order</label>
    <div class="col-sm-10">
      <input type="number" nbInput fullWidth id="inputOrder" formControlName="order"
             [ngClass]="{'is-invalid':!productTypeForm.get('order').valid}">
      <div class="invalid-feedback" *ngFor="let err of productTypeForm.get('order').getError('backendErrors')">
        {{err}}
      </div>
    </div>
  </div>
  <div class="form-group row">
    <div class="col-sm-2">Product Type State</div>
    <div class="col-sm-10">
      <div class="form-check">
        <nb-checkbox id="checkLocked" formControlName="locked"></nb-checkbox>
        <label class="form-check-label" for="checkLocked">
          Locked
        </label>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col-sm-10">
      <button [disabled]="!productTypeForm.valid"
              [status]="productTypeForm.touched && !productTypeForm.valid ? 'danger' : 'primary'"
              type="submit" nbButton (click)="save()">SAVE</button>
    </div>
  </div>
</form>
